package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.RoomInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface RoomInfoDAO {
	int insert(RoomInfo entity);
	int update(RoomInfo entity);
	int exist(String id);
	RoomInfo get(String id);
	int delete(String id);
	List<RoomInfo> list();
	List<RoomInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<RoomInfo> getChildren(String id);
    List<RoomInfo> findByTypeAndParentId(String type, String parentId);
	List<String> findIdByTypeAndParentIds(String type, List<String> parentIds);
}